{% extends "base.html" %}
{% block title %}Domo Energy Tics - Graphique{% endblock %}
{% block scripts %}
    <script type="text/javascript" src="{{ url_for('static', filename='dygraph.min.js') }}"></script>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='dygraph.css') }}" />
{% endblock %}
{% block content %}
    TOTO fait du vélo
    <div id="graph" style="width:100%; height:500px;"></div>
    <br/>
    &nbsp; &nbsp; &nbsp; <button class="btn waves-effect waves-light purple lighten-1" type="reset" onclick="location.href='{{ url_for('main') }}'">Accueil
		<i class="material-icons right">home</i>
	</button>


    <script type="text/javascript">
        graph = new Dygraph(
            document.getElementById("graph"),
                "/csv/{{ code }}/{{ elem }}/{{ days }}/{{ unit }}", 
                {   title: '{{ title }}',
                    ylabel: '{{ ylabel }} ({{ unit }})',
                    //legend: 'always',
                    labelsDivStyles: { 'textAlign': 'right' },
                    colors: [ "#C031C1" ],
                    showRangeSelector: true,
                    rangeSelectorPlotStrokeColor: "#E3A9E4",
                    rangeSelectorPlotFillColor: "#F6E1F6"
                    }  
                );
    </script>
{% endblock %}
